Subject: [dtn-users] OASYS headers
From: Ricardo Martins <[email-masked]>
To: dtn-users mailing list <[email-masked]>
Date: Tue, 24 Aug 2010 17:57:15 +0100
List-Id: dtn-users mailing list <dtn-users.maillists.intel-research.net>

Hi,

A few OASYS headers have the following (or similar) pre-processor error:

#error "MUST INCLUDE oasys-config.h before including this file"

Is there any special reason for having this instead of including
<oasys/oasys-config.h> directly ?

Kind regards,
Ricardo Martins

From: <[email-masked]>
To: <[email-masked]>
Date: Fri, 20 Aug 2010 10:43:49 +0100
Accept-Language: en-US, en-GB
acceptlanguage: en-US, en-GB
Cc: [email-masked], [email-masked]
Subject: [dtn-users] Java for DTN was IP assignment for mobile DTN node in IP	networks?

> If Java is an option for you,
> our DTN stack could be an option for you

Just out of curiosity, since Java doesn't support unsigned types... (details at
http://www.darksleep.com/player/JavaAndUnsignedTypes.html  )

Doesn't that make the coding of network protocols in Java, particularly for large SDNVs, rather awkward?

Date: Fri, 20 Aug 2010 09:50:55 +0100
From: Stephen Farrell <[email-masked]>
To: Joerg Ott <[email-masked]>
Cc: =?UTF-8?B?64uY?= <[email-masked]>, [email-masked], =?UTF-8?B?J+uwleydvOq3oCc=?= <[email-masked]>, [email-masked]
Subject: Re: [dtn-users] [dtn-interest] IP assignment for mobile DTN node in IP	networks?

On 20/08/10 09:34, Joerg Ott wrote:
> Cannot comment on LTP and IPv6 support.

LTP, the protocol, would be fine with IPv6. LTPlib (my code),
would not be fine;-)

I'd say it'd be a few days coding to fix and test, since it
uses IP addresses as LTP identifiers, but not that big a job
since there's an abstraction already.

S.

From: =?ks_c_5601-1987?B?v8C9wsjG?= <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Date: Fri, 20 Aug 2010 08:25:31 +0900
Organization: ETRI HRC
Cc: =?ks_c_5601-1987?B?wMy6tMW5xsDA5bTU?= <[email-masked]>, =?ks_c_5601-1987?B?J7nawM+x1Sc=?= <[email-masked]>, =?ks_c_5601-1987?B?J7DtvK6wqSc=?= <[email-masked]>
Subject: [dtn-users]  IP assignment for mobile DTN node in IP networks?
Reply-To: [email-masked]

Dear all

In IP networks, IP address of a mobile node must be changed while it is
moving. 
Also for the mobile DTN node, IP address must be reassigned while moving.
I think contact duration has an important impact on the performance of DTN. 
If this IP assignment happens whenever the node changes networks, it may be 
challenging issue. 
Do anyone knows how they do in the real implementations such as DTN2, ION,
etc..., 
Do they just use dynamic IP address assignment such DHCP,
Or, auto configuration such as IPv6 ?

Thank you
Seung Hun Oh

Date: Wed, 18 Aug 2010 10:53:22 -0400
From: Victor lyamtsev <[email-masked]>
To: [email-masked]
Subject: [dtn-users] question on building of "light" configuration

Hello all,
Is it possible to build "lite" version of DTN2 without TCL and
BerkleyDB ( with file store )?
If yes, what would be the "configure" options to do that?
Thanks,
-V

To: [email-masked]
From: "SourceForge.net" <[email-masked]>
Date: Wed, 11 Aug 2010 16:08:58 +0000
Subject: [dtn-users] [ dtn-Bugs-3042786 ] Installer Fails

Bugs item #3042786, was opened at 2010-08-10 17:17
Message generated for change (Comment added) made by bhoch
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=630167&aid=3042786&group_id=101657

Please note that this message will contain a full copy of the comment thread,
including the initial issue submission, for this request,
not just the latest update.
Category: None
Group: None
Status: Open
Resolution: None
Priority: 5
Private: No
Submitted By: Nobody/Anonymous (nobody)
Assigned to: Nobody/Anonymous (nobody)
Summary: Installer Fails

Initial Comment:
I attempted to create dtn in my home directory. I have the oasys 1.4 in the same tree along with xerces, etc...
When executing .configure --prefix=/my-home-dir/dtn2 --with-oasys=my-home-dir/dtn2
I receive an error that says /my-home-dir/tools/extract-version: No such file or directory. It would seen that the macro for extracting the version is not provided in the installation package. Keep in mind that I had built oasys using the same prefix command. I did have to manually copy the oasys libs to the libdir (I got an install stat error). So to get past the configure error I created a symlink to oasys-1.4.0 calling it oasys. But of course that generated compile errors because the installation is not actually valid in that location. Maybe the autoconf needs to be tested a little more thoroughly... perhaps.

----------------------------------------------------------------------

Comment By: Bruce Hochstetler (bhoch)
Date: 2010-08-11 11:08

Message:
I (Bruce Hochstetler) submitted this artifact, but at the time could not
log in. My email address ... [email-masked], 
Thanks,
Bruce

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=630167&aid=3042786&group_id=101657

To: [email-masked]
From: "SourceForge.net" <[email-masked]>
Date: Tue, 10 Aug 2010 22:17:43 +0000
Subject: [dtn-users] [ dtn-Bugs-3042786 ] Installer Fails

Bugs item #3042786, was opened at 2010-08-10 22:17
Message generated for change (Tracker Item Submitted) made by nobody
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=630167&aid=3042786&group_id=101657

Please note that this message will contain a full copy of the comment thread,
including the initial issue submission, for this request,
not just the latest update.
Category: None
Group: None
Status: Open
Resolution: None
Priority: 5
Private: No
Submitted By: Nobody/Anonymous (nobody)
Assigned to: Nobody/Anonymous (nobody)
Summary: Installer Fails

Initial Comment:
I attempted to create dtn in my home directory. I have the oasys 1.4 in the same tree along with xerces, etc...
When executing .configure --prefix=/my-home-dir/dtn2 --with-oasys=my-home-dir/dtn2
I receive an error that says /my-home-dir/tools/extract-version: No such file or directory. It would seen that the macro for extracting the version is not provided in the installation package. Keep in mind that I had built oasys using the same prefix command. I did have to manually copy the oasys libs to the libdir (I got an install stat error). So to get past the configure error I created a symlink to oasys-1.4.0 calling it oasys. But of course that generated compile errors because the installation is not actually valid in that location. Maybe the autoconf needs to be tested a little more thoroughly... perhaps.

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=630167&aid=3042786&group_id=101657